Package org.springframework.security.access.event

# Class AuthorizedEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.security.access.event.AbstractAuthorizationEvent
org.springframework.security.access.event.AuthorizedEvent

All Implemented Interfaces:
  `Serializable`

@Deprecated public class AuthorizedEvent extends AbstractAuthorizationEvent
Deprecated.
Use `AuthorizationGrantedEvent` instead
Event indicating a secure object was invoked successfully.

Published just before the secure object attempts to proceed.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`AuthorizedEvent(Object secureObject, Collection<ConfigAttribute> attributes, Authentication authentication)`
Deprecated.
Construct the event.

## Method Summary

Modifier and Type
Method
Description
`Authentication`
`getAuthentication()`
Deprecated.
`Collection<ConfigAttribute>`
`getConfigAttributes()`
Deprecated.

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthorizedEvent

public AuthorizedEvent(Object secureObject, Collection<ConfigAttribute> attributes, Authentication authentication)
Deprecated.
Construct the event.

Parameters:
  `secureObject` - the secure object
  `attributes` - that apply to the secure object
  `authentication` - that successfully called the secure object

## Method Details

### getAuthentication

public Authentication getAuthentication()
Deprecated.

### getConfigAttributes

public Collection<ConfigAttribute> getConfigAttributes()
Deprecated.